using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PowerUpEffect : MonoBehaviour
{
    public string powerUpName;
    public string powerUpDesc;
    public GameObject powerUpModel;

    public virtual void OnPickUp()
    {
        ApplyEffect();
    }

    public virtual void ApplyEffect()
    {
    }

    public virtual bool OnUseEffect()
    {
        return false;
    }

    public virtual float CooldownStatus()
    {
        return 1.0f;
    }

    public virtual bool PowerUpReady()
    {
        return false;
    }

}
